TAR(1)

NAZWA
tar - Wersja GNU programu archiwizującego tar

SKŁADNIA
tar [ - ] A --catenate --concatenate | c --create | d --diff --compare | r --append | t --list | u --update | x -extract --get [ --atime-preserve ] [ -b, --block-size N ] [ -B, --read-full-blocks ] [ -C, --directory KATALOG ] [ --checkpoint ] [ -f, --file [HOSTNAME:]F ] [ --force-local ] [ -F, --info-script F --new-volume-script F ] [ -G, --incremental ] [ -g, --listed-incremental F ] [ -h, --dereference ] [ -i, --ignore-zeros ] [ -j, --bzip2 ] [ --ignore-failed-read ] [ -k, --keep-old-files ] [ -K, --starting-file F ] [ -l, --one-file-system ] [ -L, --tape-length N ] [ -m, --modification-time ] [ -M, --multi-volume ] [ -N, --after-date DATA, --newer DATA ] [ -o, --old-archive, --portability ] [ -O, --to-stdout ] [ -p, --same-permissions, --preserve-permissions ] [ -P, --absolute-names ] [ --preserve ] [ -R, --record-number ] [ --remove-files ] [ -s, --same-order, --preserve-order ] [ --same-owner ] [ --numeric-owner ] [ -S, --sparse ] [ -T, --files-from F ] [ --null ] [ --totals ] [ -v, --verbose ] [ -V, --label NAZWA ] [ --version ] [ -w, --interactive, --confirmation ] [ -W, --verify ] [ --exclude PLIK ] [ -X, --exclude-from PLIK ] [ -Z, --compress, --uncompress ] [ -z, --gzip, --ungzip ] [ --use-compress-program PROG ] [ --block-compress ] [ --rsh-command POLECENIE ] [ -[0-7][lmh] ]

plik1 [ plik2, ... plikN ]

katalog1 [ katalog2, ... katalogN ]

OPIS

Ta strona opisuje wersję GNU programu tar, służącego do zapisywania i ekstrakcji plików z archiwum nazywanego tarfile. Archiwum tarfile może zostać utworzone w napędzie taśmy, chociaż często tworzy się je w postaci zwykłego pliku. Pierwszym argumentem programu tar musi być jedna z opcji: Acdrtux, po której następują opcjonalne funkcje. Końcowymi argumentami programu tar są nazwy plików lub katalogów, które powinny zostać zarchiwizowane. Użycie nazwy katalogu oznacza, że znajdujące się w nim podkatalogi również powinny zostać zarchiwizowane.

PRZYKŁADY

tar -xvvf plik.tar
    rozpakowuje plik.tar

tar -xvvzf plik.tar.gz [lub plik.tgz]
    rozpakowuje archiwum tar, dekompresując je uprzednio z użyciem gzip

tar -cvvf plik.tar.gz katalog/
    archiwizuje zawartość katalogu ,,katalog'' w pliku archiwum ,,plik.tar.gz''

FUNKCJE

Jedna z następujących opcji zawsze musi zostać użyta:

-A, --catenate, --concatenate
    dołączenie istniejących plików .tar do archiwum

-c, --create
    utworzenie nowego archiwum

-d, --diff, --compare
    znalezienie różnic między archiwum, a systemem plików

--delete
    usunięcie plików z archiwum (opcji nie można użyć na taśmach magnetycznych!)

-r, --append
    dołączenie plików do archiwum na jego końcu

-t, --list
    wypisanie zawartości archiwum

-u, --update
    dołączenie tylko tych plików, które są nowsze niż egzemplarze w archiwum

-x, --extract, --get
    ekstrakcja plików z archiwum

INNE OPCJE

--atime-preserve
    pozostawienie oryginalnego czasu ostatniego dostępu do dearchiwizowanych plików

-b, --block-size N
    rozmiar bloku ma być równy Nx512 bajtów (domyślnie N=20)

-B, --read-full-blocks
    zmienia rozmiar bloku podczas czytania archiwum (do używania z nazwanymi potokami 4.2BSD)

-C, --directory KATALOG
    zmienia katalog na KATALOG

--checkpoint
    wypisuje nazwy katalogów w miarę czytania archiwum

-f, --file [NAZWAHOSTA:]F
    używa podanego pliku z archiwum lub urządzenia F (domyślnie "-", co oznacza standardowe wejście/standardowe wyjście)

--force-local
    plik z archiwum jest lokalny nawet, jeżeli w jego nazwie występuje dwukropek

-F, --info-script F --new-volume-script F
    na końcu każdej taśmy uruchamia podany skrypt (implikuje funkcjonalność opcji -M)

-G, --incremental
    tworzy/wypisuje zawartość/dearchiwizuje archiwum przyrostowe w starym formacie GNU

-g, --listed-incremental F
    tworzy/wypisuje zawartość/dearchiwizuje archiwum przyrostowe w nowym formacie GNU

-h, --dereference
    nie archiwizuje dowiązań symbolicznych; archiwizuje pliki, na które one wskazują

-i, --ignore-zeros
    ignoruje bloki zawierające same zera (normalnie taki blok w archiwum oznacza koniec pliku)

-j, --bzip2
    kompresja/dekompresja archiwum programem bzip2

--ignore-failed-read
    zakazuje kończenia działania programu z niezerowym kodem wyjścia po napotkaniu plików, które nie dają się odczytać

-k, --keep-old-files
    ochrona istniejących plików; nie będą nadpisywane plikami z archiwum

-K, --starting-file F
    zaczyna ekstrakcję z archiwum od pliku F

-l, --one-file-system
    archiwizuje pliki tylko z bieżącego systemu plików

-L, --tape-length N
    zmiana taśmy po zapisaniu N*1024 bajtów

-m, --modification-time
    nie dearchiwizuje czasu modyfikacji plików

-M, --multi-volume
    tworzy/wypisuje zawartość/dearchiwizuje archiwum wieloczęściowe

-N, --after-date DATA, --newer DATA
    archiwizuje wyłącznie pliki nowsze, niż DATA

-o, --old-archive, --portability
    zapisuje archiwum w formacie V7, nie ANSI

-O, --to-stdout
    dearchiwizuje pliki na standardowe wyjście

-p, --same-permissions, --preserve-permissions
    dearchiwizuje wszystkie informacje o prawach dostępu

-P, --absolute-paths
    nie usuwa z nazw plików początkowych znaków ,,/''

--preserve
    takie samo działanie, jak opcje -p -s

-R, --record-number
    wypisywanie numeru rekordu wewnątrz archiwum przy każdym komunikacie

--remove-files
    usuwa pliki po dodaniu ich do archiwum

-s, --same-order, --preserve-order
    lista nazw plików do dearchiwizacji jest sortowana, by pasować do archiwum

--same-owner
    zachowanie nazwy właściciela pliku zgodnie z zachowaną w archiwum
     .TP --numeric-owner posługiwanie się numerami użytkowników i grup, zamiast ich nazw

-S, --sparse
    efektywna obsługa plików rozrzedzonych (z ,,dziurami'')

-T, --files-from F
    nazwy plików do archiwizacji lub dearchiwizacji są pobierane z pliku F

--null
    opcja -T odczytuje nazwy plików zakończone znakiem '\0', opcja -C wówczas nie działa

--totals
    wypisuje ogólną liczbę bajtów zapisanych przy --create

-v, --verbose
    wypisywanie nazw wszystkich plików

-V, --label NAZWA
    utworzenie archiwum o nazwie woluminu NAZWA

--version
    wypisanie numeru wersji programu tar

-w, --interactive, --confirmation
    pytanie o zgodę na każdą operację

-W, --verify
    weryfikacja archiwum po jego utworzeniu

--exclude PLIK
    wyłączenie z archiwizacji pliku PLIK

-X, --exclude-from PLIK
    wyłączenie z archiwizacji plików o nazwach wymienionych w pliku PLIK

-Z, --compress, --uncompress
    kompresja/dekompresja archimum programem compress

-z, --gzip, --ungzip
    kompresja/dekompresja archiwum programem gzip

--use-compress-program PROG
    kompresja/dekompresja archiwum programem PROG (który musi akceptować opcję -d oznaczającą dekompresję)

--block-compress
    dzielenie skompresowanego archiwum dla taśm

--rsh-command POLECENIE
    używanie zamiast ,,rsh'' do połączeń zdalnych polecenia POLECENIE. Opcja ta ma na celu umożliwienie dostępu do zdalnych urządzeń tym, którzy korzystają z czegoś innego niż standardowe ,,rsh'' (np. ,,rsh'' kerberosa).

-[0-7][lmh]
    określenie napędu i gęstości

BŁĘDY

Ludzie z GNU, w zasadzie, nie cierpią stron podręcznika man i tworzą zamiast nich dokumenty info. Zarządzający projektem tar należy do tej kategorii. Ta strona podręcznika man nie jest ani pełna, ani aktualna, a pochodzi z pakietu tar dystrybucji Linuksa Debian. Jej stworzenie miało na celu zmniejszenie w systemie zarządzania błędami ilości zgłoszeń sygnalizujących brak strony podręcznika. Jeśli chce się zrozumieć program tar, to należy uruchomić info i poczytać tamtejsze strony dotyczące tego programu, ewentualnie skorzystać z trybu info w emacsie.